Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.upnp
Class SearchClass

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.upnp.SearchClass

    public class SearchClass

extends java.lang.Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="includeDerived" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected boolean` | `includeDerived`
`protected java.lang.String` | `name`
`protected java.lang.String` | `value`

Constructor Summary
`SearchClass()`

Method Summary
`java.lang.String` | `getName()` Gets the value of the name property.
`java.lang.String` | `getValue()` Gets the value of the value property.
`boolean` | `isIncludeDerived()` Gets the value of the includeDerived property.
`void` | `setIncludeDerived(boolean value)` Sets the value of the includeDerived property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setValue(java.lang.String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### name

    protected java.lang.String name

### includeDerived

    protected boolean includeDerived

Constructor Detail

### SearchClass

    public SearchClass()

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isIncludeDerived

    public boolean isIncludeDerived()

  Gets the value of the includeDerived property.

### setIncludeDerived

    public void setIncludeDerived(boolean value)

  Sets the value of the includeDerived property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.